Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455134 - Dependency Resolution Issue with gnome-packagekit-0.2.3-4.fc9.i386
Summary: Dependency Resolution Issue with gnome-packagekit-0.2.3-4.fc9.i386
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-packagekit
Version: 9
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-12 15:29 UTC by Emil Librea III
Modified: 2008-08-19 16:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-08-19 16:41:32 UTC


Attachments (Terms of Use)
Confirmation dialog when installing CriticalMass (deleted)
2008-07-12 15:29 UTC, Emil Librea III
no flags Details

Description Emil Librea III 2008-07-12 15:29:08 UTC
Description of problem:
With the Adobe repository enabled, the package AdobeReader_jpn becomes a
dependency in any situation where a package being installed has dependencies
that have not yet been installed. Only happens in gpk-application. Does not
occur with yumex.

Version-Release number of selected component (if applicable):
PackageKit-0.2.3-2.fc9.i386
gnome-packagekit-0.2.3-4.fc9.i386

How reproducible:
Only occurs with gpk-application. Does not occur when using yum from the cli or
when using yumex.

Steps to Reproduce:
1. Install the Adobe Linux repository
(http://linuxdownload.adobe.com/adobe-release/adobe-release-i386-1.0-1.noarch.rpm)
2. Run gpk-application and install a package that has dependencies that are not
yet installed.
  
Actual results:
I am asked to confirm to download dependencies INCLUDING the package
AdobeReader_jpn.

Expected results:
The package AdobeReader_jpn is not identified as a dependency in similar 
circumstances.

Additional info:

Comment 1 Emil Librea III 2008-07-12 15:29:08 UTC
Created attachment 311645 [details]
Confirmation dialog when installing CriticalMass

Comment 2 Richard Hughes 2008-07-12 16:45:35 UTC
Looking at http://linuxdownload.adobe.com/linux/i386/repodata/primary.xml.gz,
the adobe rpm seems to "provide" many insane things. We can't fix it as we don't
have the sourcerpm. If you use yum, rather than yumex, do you have the same problem?

Comment 3 Emil Librea III 2008-07-13 02:18:26 UTC
Don't think it's a repo issue as this is not happening when using yum either.
Please advise if you need more info.

Comment 4 Bruce Brackbill 2008-08-04 21:31:18 UTC
I see this bug too.  This behaviour really feels quite intrusive.  And when using yum directly, AdobeReader is not required.

I experienced this when installing GREYCstoration-gimp.  Packagekit was telling me that AdobeReader_enu-8.1.2_SU1-1 was a required dependency. So i installed GREYCstoration-gimp using yum and AdobeReader was not required.

Interestingly enough,if I go to Packagekit and highlight the installed  GREYCstoration-gimp, and click on "depends on" Packagekit still tells me that AdobeReader is a dependency.

Comment 5 Richard Hughes 2008-08-05 10:38:29 UTC
I think I've fixed this one in git master -- I'll backport to 0.2.x if it fixes some other problems reported by people. The crux is that PackageKit wasn't prefering already installed packaged that provide the dep, rather using the random list provided by yum.


Note You need to log in before you can comment on or make changes to this bug.